Implementations provide basic audio record functionality.

### Hierarchy

- AudioRecorder

### Implemented by

- WebRTCRecorder

## Index

### Methods

- startRecording
- stopRecording

## Methods

### startRecording

- startRecording(): Promise<void>

- - Defined in lib/audio/recorder/AudioRecorder.ts:9

  Starts an audio recording using the browser media api to receive the result of a recording see: {@link AudioRecorder#stopRecording()}

  #### Returns Promise<void>

### stopRecording

- stopRecording(): Promise<string>

- - Defined in lib/audio/recorder/AudioRecorder.ts:14

  Stops a running recording session and returns the recorded data as a base64 string.

  #### Returns Promise<string>

Generated using TypeDoc